Bug 463349 - packagekit cannot refresh package lists
packagekit cannot refresh package lists
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 20:36 EDT by acb
Modified: 2008-10-27 09:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 09:04:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acb 2008-09-22 20:36:29 EDT
Description of problem:
Error Type: <class 'sqlite3.OperationalError'>
Error Value: no such table: packages
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1819, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1810, in main
    backend.dispatch_command(args[0],args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 527, in dispatch_command
    self.search_group(options,searchterms)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 95, in wrapper
    func(*args,**kwargs)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 279, in search_group
    pkgs = direct.resolve(package)
  File : /usr/share/PackageKit/helpers/yum/yumDirect.py, line 61, in resolve
    cursor.execute('SELECT name,epoch,version,release,arch,summary,rpm_sourcerpm,pkgKey FROM packages WHERE name = ?',[package])


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard Hughes 2008-09-23 09:08:29 EDT
I've fixed this in rawhide, I'll be backporting a fix in the next week or so.
Comment 2 Robert Weir 2008-10-11 14:28:10 EDT
(In reply to comment #1)
> I've fixed this in rawhide, I'll be backporting a fix in the next week or so.

--------

I have downloaded Rawhide on Oct 9, 2008.  I have this error coming up on my install as well.  How can I get the new kernel or whatever, not through updates as they are not working.  Would like to do further tests.  Thanks...

robertdaleweir@netscape.net
Comment 3 Richard Hughes 2008-10-14 04:46:18 EDT
Robert, you can't be getting that exact error -- yumDirect doesn't exist in rawhide...
Comment 4 Robert Weir 2008-10-14 12:50:31 EDT
Richard
  The following two errors are observed under the conditions mentioned about each.  The error seemed similar probably not the exact message.  Sorry.

--------->

Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again

The above message seems to popup when an Update is attempted.

The following error appears when I try to add software System > Administration > Add/Remove Software 


Error Type: <class 'sqlite3.OperationalError'>
Error Value: no such table: packages
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1819, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1816, in main
    backend.dispatch_command(args[0],args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 527, in dispatch_command
    self.search_group(options,searchterms)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 95, in wrapper
    func(*args,**kwargs)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 279, in search_group
    pkgs = direct.resolve(package)
  File : /usr/share/PackageKit/helpers/yum/yumDirect.py, line 61, in resolve
    cursor.execute('SELECT name,epoch,version,release,arch,summary,rpm_sourcerpm,pkgKey FROM packages WHERE name = ?',[package])

The above happens no matter which Package Group I try to install.

<---------
  From About My Computer
   Fedora
     Release 9.91 (Rawhide)
     Kernel Linux 2.6.27_0.352.rc7.git1.fc10.x86_64
               <------>
I cannot get any updates, even though I have a good and proper Internet Connection.  Any help would be appreciated.
Robert

Note You need to log in before you can comment on or make changes to this bug.